#!/usr/bin/perl

$copy=0;
$out="";

while(<>){
	chomp;
	if(m,^<TITLE>(.*)</TITLE>$,i) {
		$title=$1;
	} elsif(m,<META NAME="manual_section" CONTENT="(\d+\w*)">$,) {
		$section=$1;
	} elsif(m,<H1>(.*)</H1>,i){
		$name=$1;
#		print ".TL '$name($section)'$title'$name($section)'\n";
		print ".TH $name $section \n";
#		print ".SH NAME\n";
#		print "$name - $title'\n";
		print ".SH UPDATED\n";
		$copy=1;
	} elsif(m,(.*?)(?i:<HR>|</body></html>),) {
		$copy=0;
		$out.=$1;
	} elsif(m,^<PRE>$,i) {
		$copy=2;
		$out.="\n.BRR\n";
	} elsif(m,^</PRE>$,i) {
		$copy=0;
		$out.="\n.BR\n";
	} elsif($copy == 2) {
		$out.=$_."<li>";
	} elsif($copy) {
		$out.=$_." ";
	}
}

$_=$out;
s/<\?.*?\?>//g;
s/\\/\\(rs/g;
s/^([.,])/\1\1/g;
s,<A HREF=\"\#.*?Contents</A>,,i;
s/<BR>/\n.BRR\n/gi;
s/<(?:LI|DT)>/\n.br\n/gi;
s/<(?:DD)>/\t/gi;
s/<(?:A|OL|dl)[^>]*>//gi;
s,</(?:[AP]|OL|DL)>,,gi;
s,<H2>(.*?)</H2>,\n.SH $1\n,gi;
s/<P>/\n.BRR\n/gi;
s/&quot;/\"/g;
s/&nbsp;/ /g;
s/programs that process PNM,//i;
s,<b>(.*?)</b>,\n.B $1\n,ig;
s,<i>(.*?)</i>,\n.B $1\n,ig;
s,<em>(.*?)</em>,\n.B $1\n,ig;
s,<h([3-9])>(.*?)</h\1>,\n.BRR\n.I $2\n,ig;
s/\n(?:\s*\n+)/\n/g;
s/^\s+//gm;
s/^[.,]{2}/\\&/mg;
s/^([.,])\1/$1/mg;
s/.BRR//g;
print $_."\n";
	